Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 262744 - gnome-base/gnome-2.24.1 keywording request
Summary: gnome-base/gnome-2.24.1 keywording request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: KEYWORDREQ
: 262850 263391 (view as bug list)
Depends on: 260063
Blocks: gnome2.24
  Show dependency tree
 
Reported: 2009-03-16 23:26 UTC by Gilles Dartiguelongue
Modified: 2009-10-28 22:19 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gilles Dartiguelongue gentoo-dev 2009-03-16 23:26:59 UTC
Following up on bug #260063 and bug #261844,

ppc, ppc64, hppa, sparc, please note that you are missing keyword on gnome-2.24.1 ebuild probably do to unmet keywords in dependencies during migration to the tree.

hppa, you have no keyword on gnome anymore as a collateral damage of me removing gnome 2.20. I did that because there is no point in pretending we still support gnome 2.20 while more and more usptream projects are refusing to treat bugs from even gnome 2.22 components.

everyone, please state your intentions wrt. completing your dep graph so we can proceed to building a list to bring you back in the swing, thanks in advance.
Comment 1 Gilles Dartiguelongue gentoo-dev 2009-03-17 10:35:35 UTC
oops, I fail at assigning 
Comment 2 Greg Trigg 2009-03-17 16:32:40 UTC
In addition, can we get gnome-base/gnome-control-center-2.24.0.1 keyworded?  It's required, at least on my ppc64 box, to upgrade to the latest stable gnome.
Comment 3 Gilles Dartiguelongue gentoo-dev 2009-03-17 23:56:03 UTC
*** Bug 262850 has been marked as a duplicate of this bug. ***
Comment 4 Joe Jezak (RETIRED) gentoo-dev 2009-03-19 16:03:35 UTC
ppc and ppc64 should have everything keyworded. Now we need to wait so we can push this stuff to stable.
Comment 5 Gilles Dartiguelongue gentoo-dev 2009-03-22 17:53:42 UTC
*** Bug 263391 has been marked as a duplicate of this bug. ***
Comment 6 Jeroen Roovers (RETIRED) gentoo-dev 2009-03-30 15:40:23 UTC
Keywording gnome-base/gnome for HPPA depends on resolving bug #237026. Otherwise, it should be fine. I don't think an IUSE=totem is desirable just to get gnome-base/gnome keyworded.
Comment 7 Joe Jezak (RETIRED) gentoo-dev 2009-04-03 15:51:44 UTC
I decided to push the stabilization for ppc/ppc64 a little early because the current stable tree was broken with a mix of 2.24 and 2.22.
Comment 8 Gilles Dartiguelongue gentoo-dev 2009-04-06 20:34:17 UTC
Ok, I stabilized gnome-light for arches that had gnome stable.

@sparc, I re-added ~sparc to gnome meta since all deps are satisfied, only need to mark some packages stable now which is bug #260063. Remember you can still choose the xulrunner-1.8 version of packages using xulrunner. Don't hesitate to contact us if you have questions.

@hppa, I guess you already know but only missing packages are:
  * gnome-control-center
  * totem-pl-parser (independant of totem, split of one of its lib by otherwise not related to)
  * totem (bug #237026), if you could try 2.24 so we can eventually push this upstream with the little informations that we have.
Comment 9 Raúl Porcel (RETIRED) gentoo-dev 2009-04-14 11:30:30 UTC
sparc is done
Comment 10 Jeroen Roovers (RETIRED) gentoo-dev 2009-04-27 15:00:23 UTC
(In reply to comment #8)
> Ok, I stabilized gnome-light for arches that had gnome stable.

=gnome-base/gnome-light-2.24.1 is stable for HPPA.

> ... <

> @hppa, I guess you already know but only missing packages are:
>   * gnome-control-center

Done.

>   * totem-pl-parser (independant of totem, split of one of its lib by otherwise
> not related to)

Can I test totem-pl-parser without totem, i.e. what else depends on it that is worth keywording?

>   * totem (bug #237026), if you could try 2.24 so we can eventually push this
> upstream with the little informations that we have.

2.24 has the exact same problem.

These are the */*-2.24* packages that lack HPPA keywording now, obviously all because of media-video/totem:

=gnome-base/gnome-2.24.1:
>=dev-libs/totem-pl-parser-2.24.1
>=dev-python/gnome-python-desktop-2.24.0
>=media-video/totem-2.24.2
=dev-python/gnome-python-desktop-2.24.1
~dev-python/totem-python-2.24.1
Comment 11 Gilles Dartiguelongue gentoo-dev 2009-04-27 15:13:40 UTC
(In reply to comment #10)
> (In reply to comment #8)
> >   * totem-pl-parser (independant of totem, split of one of its lib by otherwise
> > not related to)
> 
> Can I test totem-pl-parser without totem, i.e. what else depends on it that is
> worth keywording?

rhythmbox would allow you to do that, just create a playlist, save it to disk, delete it from RB and them import it or try an internet radio (given that you have the proper gst plugins)
Comment 12 Gilles Dartiguelongue gentoo-dev 2009-10-28 22:19:02 UTC
Only hppa left, we are gonna hit this again for 2.26 and so on until bug #237026 is provided with required information, hence not worth keeping this bug open. See you next time around.